Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# OS_NS_dlfcn.h File Reference

`#include "ace/config-all.h"`
`#include "ace/os_include/os_dlfcn.h"`
`#include "ace/ACE_export.h"`
`#include "ace/OS_NS_dlfcn.inl"`

Include dependency graph for OS_NS_dlfcn.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | ACE_OS
## A set of wrappers for explicit dynamic linking.
ACE_NAMESPACE_INLINE_FUNCTION int | dlclose (ACE_SHLIB_HANDLE handle)
ACE_NAMESPACE_INLINE_FUNCTION ACE_TCHAR * | dlerror (void)
ACE_NAMESPACE_INLINE_FUNCTION ACE_SHLIB_HANDLE | dlopen (const ACE_TCHAR *filename, int mode=ACE_DEFAULT_SHLIB_MODE)
ACE_NAMESPACE_INLINE_FUNCTION void * | dlsym (ACE_SHLIB_HANDLE handle, const ACE_TCHAR *symbol)
## Defines
#define | ACE_EXPORT_MACRO ACE_Export
#define | ACE_INLINE inline

## Detailed Description

Id
  OS_NS_dlfcn.h,v 1.4 2005/10/28 16:14:54 ossama Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>

  Jesper S. M|ller<stophph@diku.dk>

  and a cast of thousands...

Originally in OS.h.

## Define Documentation

#define ACE_EXPORT_MACRO ACE_Export

#define ACE_INLINE inline

## Function Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE int ACE_OS::dlclose | ( | ACE_SHLIB_HANDLE | handle | ) |

ACE_INLINE ACE_TCHAR * ACE_OS::dlerror | ( | void |  | ) |

ACE_INLINE ACE_SHLIB_HANDLE ACE_OS::dlopen | ( | const ACE_TCHAR * | filename,
|  | int | mode = `ACE_DEFAULT_SHLIB_MODE`
| ) |

ACE_INLINE void * ACE_OS::dlsym | ( | ACE_SHLIB_HANDLE | handle,
|  | const ACE_TCHAR * | symbol
| ) |